<?php

class Funcoes_arquivo
{
	
	public function novoArquivo($diretorio_nome, $conteudo)
	{
		$arquivo = fopen($diretorio_nome,"w+");
		$escreve = fwrite($arquivo, $conteudo);
		fclose($arquivo);
	}
	
	public function novoDiretorio($diretorio, $permissao)
	{
		if (!file_exists($diretorio))
		{	
			mkdir($diretorio, $permissao);
		}	
	}
	
	public function excluirArquivo($diretorio_nome)
	{
		if (file_exists($diretorio_nome))
		{
			unlink($diretorio_nome);
		}
	}
	
	function removeDiretorio($rootDir)
	{
		if (file_exists($rootDir))
		{	
			if (!is_dir($rootDir))
			{
				return false;
			}

			if (!preg_match("/\\/$/", $rootDir))
			{
				$rootDir .= '/';
			}


			$stack = array($rootDir);

			while (count($stack) > 0)
			{
				$hasDir = false;
				$dir    = end($stack);
				$dh     = opendir($dir);

				while (($file = readdir($dh)) !== false)
				{
					if ($file == '.'  ||  $file == '..')
					{
						continue;
					}

					if (is_dir($dir . $file))
					{
						$hasDir = true;
						array_push($stack, $dir . $file . '/');
					}

					else if (is_file($dir . $file))
					{
						unlink($dir . $file);
					}
				}

				closedir($dh);

				if ($hasDir == false)
				{
					array_pop($stack);
					rmdir($dir);
				}
			}
			return true;
		}
		return false;
	}
	
	public function listar_arquivos_diretorio($caminho)
	{
		$path = $caminho;
		$diretorio = dir($path);
		$lista = array();
		//echo "Lista de Arquivos do diretório '<strong>".$path."</strong>':<br />";
		while($arquivo = $diretorio -> read()){
			//echo "<a href='".$path."/".$arquivo."'>".$arquivo."</a><br />";
			//echo $arquivo . "<Br>";
			if($arquivo != "."  and $arquivo != ".." )
			{	
				array_push($lista, $path."/".$arquivo);
			}	
		}
		$diretorio -> close();	
		return $lista;
	}
		
	public function encontrar_palavra_no_texto($palavra, $texto, $case_sensive = false, $remover_char_esp = false)
	{
		if(! $case_sensive)
		{	
			$palavra = strtolower($palavra);
			$texto = strtolower($texto);
		}
		if($remover_char_esp )
		{	
			$palavra = str_replace(","," ",$palavra);
			$palavra = str_replace("."," ",$palavra);
			$palavra = str_replace(":"," ",$palavra);
			$palavra = str_replace("'"," ",$palavra);
			$palavra = str_replace("="," ",$palavra);
			$texto = str_replace(","," ",$texto);
			$texto = str_replace("."," ",$texto);
			$texto = str_replace(":"," ",$texto);
			$texto = str_replace("'"," ",$texto);
			$texto = str_replace("="," ",$texto);
		}	
		
		$aStr = explode(" ",$texto);
		foreach($aStr as $str)
		{
			//echo $str."=".$palavra." <BR>";
			if($str == $palavra)
			{
				return true;
			}
		}
		return false;
	}
	
}